Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Religion

    java.lang.Object
      java.lang.Enum<Religion>
          org.ka2ddo.yaac.osm.Religion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Religion>

    public enum Religion

extends java.lang.Enum<Religion>

Supported types of the OSM religion="*" attribute. See the definition of religion on the OpenStreetMap wiki.

Enum Constant Summary
`animist`
`bahai`
`buddhist`
`christian`
`hindu`
`jain`
`jewish`
`multifaith`
`muslim`
`other`
`pagan`
`pastafarian`
`scientologist`
`shinto`
`sikh`
`spiritualist`
`taoist`
`unitarian`
`yazidi`
`zoroastrian`

Method Summary
`AmenityType` | `getSubType()`
`static Religion` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Religion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Religion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### other

    public static final Religion other

### animist

    public static final Religion animist

### bahai

    public static final Religion bahai

### buddhist

    public static final Religion buddhist

### christian

    public static final Religion christian

### hindu

    public static final Religion hindu

### jain

    public static final Religion jain

### jewish

    public static final Religion jewish

### multifaith

    public static final Religion multifaith

### muslim

    public static final Religion muslim

### pagan

    public static final Religion pagan

### pastafarian

    public static final Religion pastafarian

### scientologist

    public static final Religion scientologist

### shinto

    public static final Religion shinto

### sikh

    public static final Religion sikh

### spiritualist

    public static final Religion spiritualist

### taoist

    public static final Religion taoist

### unitarian

    public static final Religion unitarian

### yazidi

    public static final Religion yazidi

### zoroastrian

    public static final Religion zoroastrian

Method Detail

### values

    public static Religion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Religion c : Religion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Religion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSubType

    public final AmenityType getSubType()

### value

    public static Religion value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Religion for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD